%define _name abfab_idp
%define name freeradius-moonshot-saml
%define version 1.1.1
%define release 1

Summary: Moonshot SAML module for FreeRADIUS
Name: %{name}
Version: %{version}
Release: %{release}.6273%{?dist}
Source0: %{_name}-%{version}.tar.gz
License: BSD
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{_name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Requires: freeradius-python3

%if 0%{?el6}
Requires: python34-ldap3
BuildRequires: python34-ldap3
%else
Requires: python3-ldap3
BuildRequires: python3-ldap3
%endif

%description
Moonshot SAML module for FreeRADIUS

%prep
%setup -n %{_name}-%{version} -n %{_name}-%{version}

%build
python3 setup.py build

%check
# python3 -m unittest discover

%install
python3 setup.py build
mkdir -p $RPM_BUILD_ROOT/etc/raddb/mods-config
mv build/lib/abfab_idp $RPM_BUILD_ROOT/etc/raddb/mods-config/
install -D $RPM_BUILD_ROOT/etc/raddb/mods-config/abfab_idp/abfab_idp $RPM_BUILD_ROOT/etc/raddb/mods-available/abfab_idp
install -D $RPM_BUILD_ROOT/etc/raddb/mods-config/abfab_idp/abfab_rpp $RPM_BUILD_ROOT/etc/raddb/mods-available/abfab_rpp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/raddb/mods-config/abfab_idp/*
/etc/raddb/mods-available/abfab_*
